| Home | Libraries | People | FAQ | More

## Struct template transform_impl

boost::proto::transform_impl

## Synopsis

    // In header: <boost/proto/transform/impl.hpp>

    template<typename Expr, typename State, typename Data>
    struct transform_impl {
      // types
      typedef typename boost::remove_reference<Expr const>::type  expr;
      typedef typename boost::add_reference<Expr const>::type     expr_param;
      typedef typename boost::remove_reference<State const>::type state;
      typedef typename boost::add_reference<State const>::type    state_param;
      typedef typename boost::remove_reference<Data const>::type  data;
      typedef typename boost::add_reference<Data const>::type     data_param;
    };